/*******************************************************************************
 * Copyright (c) 2019 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.change;

import java.util.function.Consumer;

/** The default model modifier simply applies all changes without any transaction mechanism. */
public final class DefaultModelModifier implements Consumer<Change> {
	/** {@inheritDoc} */
	@Override
	public void accept(Change change) {
		change.applyChange();
	}
}
