/*******************************************************************************
 * Copyright (c) 2017, 218 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.mesh;

import javafx.geometry.Point3D;

/** Class representing a 3D normal. */
public final class Normal3D extends Point3D {
	/** Constructor. */
	public Normal3D(double x, double y, double z) {
		super(x, y, z);
	}
}
