/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 *     Florian Hoelzl, Alexander Diewald (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.control.treetableview;

/**
 * Functional interface for handlers interested in double-clicks on tree and tree-table items.
 */
@FunctionalInterface
public interface IDoubleClickHandler {
	/** A double-click event occured on the given value object. */
	void doubleClicked(Object value);
}
