/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.impl.MVCBundleBase;

/**
 * Interface for classes that take part in the model-visual-controller setup and reference an
 * {@link IMVCBundle}.
 */
public interface IMVCBundlePart {
	/** Returns the {@link MVCBundleBase}. */
	IMVCBundle getMVCBundle();
}
